---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: $MICRO_SERVICE ### name of the microservice
  namespace: $NAMESPACE
spec:
  selector:
    matchLabels:
      app: $MICRO_SERVICE
  replicas: $REPLICAS
  template:
    metadata:
      labels:
        app: $MICRO_SERVICE # pod name
    spec:
      imagePullSecrets:
      - name: my-registry-key
      serviceAccountName: default
      containers:
      - name: service # conatiner name
        image: $IMAGE_NAME:$IMAGE_TAG
        ports:
        - containerPort: $SERVICE_PORT
        env:
        - name: PORT
          value: "$SERVICE_PORT"
        - name: PRODUCT_CATALOG_SERVICE_ADDR
          value: "productcatalogservice:3550"
        - name: SHIPPING_SERVICE_ADDR
          value: "shippingservice:50051"
        - name: PAYMENT_SERVICE_ADDR
          value: "paymentservice.onlineshop-${DEPLOY_ENV}next-prozip:50051"
        - name: EMAIL_SERVICE_ADDR
          value: "emailservice.onlineshop-${DEPLOY_ENV}next-prozip:5000"
        - name: CURRENCY_SERVICE_ADDR
          value: "currencyservice:7000"
        - name: CART_SERVICE_ADDR
          value: "cartservice:7070"
